Skip to main content
GET
Get Conversation Details

Authorizations

x-api-key
string
header
required

API key for programmatic access

Path Parameters

conversation_id
string
required

The id of the conversation you're taking the action on.

Response

Successful Response

Response model for Get Conversation Details endpoint.

agent_id
string
required

The ID of the agent

conversation_id
string
required

The unique identifier for the conversation

status
enum<string>
required

Current status of the conversation

Available options:
initiated,
in-progress,
processing,
done,
failed
transcript
ConversationHistoryTranscriptCommonModel · object[]
required

List of transcript entries

metadata
ConversationHistoryMetadataCommonModel · object
required

Conversation metadata

has_audio
boolean
required

Whether audio recording is available

has_user_audio
boolean
required

Whether user audio is available

has_response_audio
boolean
required

Whether agent response audio is available

agent_name
string | null

The name of the agent

user_id
string | null

ID of the end user (for agent owner's identification)

branch_id
string | null

Agent branch for this conversation, if applicable

analysis
ConversationHistoryAnalysisCommonModel · object | null

Conversation analysis results

conversation_initiation_client_data
ConversationInitiationClientDataRequest · object | null

Client data from conversation initiation

batch_id
string | null

Batch call ID if this conversation was part of a batch call

batch_recipient_id
string | null

Batch call recipient ID if this conversation was part of a batch call